Genetic algorithm solving TSP with various settings

- Main Page
- Classes

- Class List
- Class Index
- Class Members

Static Public Member Functions | List of all members
Crossover Class Reference

Trida, ktera obsahuje staticke funkce pro krizeni permutacnich chromozomu. More...

## Static Public Member Functions
static Chromozome | edgeRecombinationCrossOver (Chromozome parent1, Chromozome parent2, double mutationProbability, int mutationType)
static Chromozome | orderOneCrossOver (Chromozome parent1, Chromozome parent2, double mutationProbability, int mutationType)
static Chromozome | pmxCrossOver (Chromozome parent1, Chromozome parent2, double mutationProbability, int mutationType)

## Detailed Description

Trida, ktera obsahuje staticke funkce pro krizeni permutacnich chromozomu.

Author
  nemec

## Member Function Documentation

static Chromozome Crossover.edgeRecombinationCrossOver | ( | Chromozome | parent1,
|  | Chromozome | parent2,
|  | double | mutationProbability,
|  | int | mutationType
| ) |  |
| static

Fukce reprezentujici krizeni typu Edge Recombination Crossover

Parameters

  parent1 | Rodic1
  parent2 | Rodic2
  mutationProbability | Pravdepodobnost mutace
  mutationType | Typ mutace 1-Insert 2-Swap 3-Inverse 4-Scramble Default-Insert

Returns
  Potomek

static Chromozome Crossover.orderOneCrossOver | ( | Chromozome | parent1,
|  | Chromozome | parent2,
|  | double | mutationProbability,
|  | int | mutationType
| ) |  |
| static

Funkce reprezentujici krizeni typu Order One

Parameters

  parent1 | Rodic1
  parent2 | Rodic2
  mutationProbability | Pravdepodobnost mutace
  mutationType | Typ mutace 1-Insert 2-Swap 3-Inverse 4-Scramble Default-Insert

Returns
  Potomek

static Chromozome Crossover.pmxCrossOver | ( | Chromozome | parent1,
|  | Chromozome | parent2,
|  | double | mutationProbability,
|  | int | mutationType
| ) |  |
| static

Funkce, ktera reprezentuje krizeni typu PMX

Parameters

  parent1 | Rodic1
  parent2 | Rodic2
  mutationProbability | Sance na mutaci
  mutationType | Typ mutace 1-Insert 2-Swap 3-Inverse 4-Scramble Default-Insert

Returns

The documentation for this class was generated from the following file:

- src/Crossover.java